# Uses of Enum Class
javafx.scene.control.skin.TextInputControlSkin.TextUnit

Packages that use TextInputControlSkin.TextUnit
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of TextInputControlSkin.TextUnit in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return TextInputControlSkin.TextUnit
Modifier and Type
Method
Description
`static TextInputControlSkin.TextUnit`
TextInputControlSkin.TextUnit.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextInputControlSkin.TextUnit[]`
TextInputControlSkin.TextUnit.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javafx.scene.control.skin with parameters of type TextInputControlSkin.TextUnit
Modifier and Type
Method
Description
`void`
TextAreaSkin.`moveCaret(TextInputControlSkin.TextUnit unit, TextInputControlSkin.Direction dir, boolean select)`
Moves the caret by one of the given text unit, in the given direction.
`void`
TextFieldSkin.`moveCaret(TextInputControlSkin.TextUnit unit, TextInputControlSkin.Direction dir, boolean select)`
Moves the caret by one of the given text unit, in the given direction.
`abstract void`
TextInputControlSkin.`moveCaret(TextInputControlSkin.TextUnit unit, TextInputControlSkin.Direction dir, boolean select)`
Moves the caret by one of the given text unit, in the given direction.